const validatePacks = (packs) => {
  if (!packs || packs && !packs.trim()) return 'Номер пакета не может быть пустым'
  const ifNumbersComma = packs.trim().match(/^([0-9,\s])+$/g)
  if (!ifNumbersComma) {
    return 'Номер пакета может содержать только цифры и запятую для разграничения пакетов'
  }
  return false
}

const splitePacks = (packs) => {
  const packsArr = packs.split(',')
  const packsArrClean = packsArr.map(pack => pack.trim())
  return packsArrClean
}

export {validatePacks, splitePacks}